Skip to content

GET /audit-entries​

GET
/audit-entries

List the Workspace's Audit log, newest first (Enterprise; needs the audit:read scope)

Authorizations​

BearerAuth
Type
HTTP (Bearer)

Parameters​

Query Parameters

from

Only entries at or after this time

Type
string
Format
"date-time"
to

Only entries strictly before this time

Type
string
Format
"date-time"
actorKind

Only entries by this kind of actor

Type
string
Valid values
"user""api_token""operator""system"
actorId

Only entries by the actor with this id (a User id or an API token id); ignored for the operator kind

Type
string
action

Only entries with exactly this action, e.g. membership.update

Type
string
targetType

Only entries about this target type, e.g. integration

Type
string
targetId

Only entries about the target with this id

Type
string
ip

Only entries from this client address

Type
string
requestId

Only entries made under this request id

Type
string
cursor

Cursor from a previous page

Type
string
limit

Page size

Type
integer
Format
"int32"
Default
25

Responses​

The request has succeeded.

application/json
JSON
{
  
"items": [
  
  
{
  
  
  
"id": "string",
  
  
  
"occurredAt": "string",
  
  
  
"actor": {
  
  
  
  
"kind": "string",
  
  
  
  
"id": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"action": "string",
  
  
  
"target": {
  
  
  
  
"type": "string",
  
  
  
  
"id": "string",
  
  
  
  
"name": "string"
  
  
  
},
  
  
  
"diff": {
  
  
  
  
"additionalProperties": null
  
  
  
},
  
  
  
"requestId": "string",
  
  
  
"ip": "string",
  
  
  
"userAgent": "string"
  
  
}
  
],
  
"nextCursor": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI